# ``igraph`.`automorphisms``

module documentation
(source)

Undocumented

Function | `_count_automorphisms_vf2` | Returns the number of automorphisms of the graph.
Function | `_get_automorphisms_vf2` | Returns all the automorphisms of the graph

def _count_automorphisms_vf2(graph, color=None, edge_color=None, node_compat_fn=None, edge_compat_fn=None): (source)

Returns the number of automorphisms of the graph.

This function simply calls `count_isomorphisms_vf2` with the graph itgraph. See `count_isomorphisms_vf2` for an explanation of the parameters.

Returns
the number of automorphisms of the graph

See Also
Graph.count_isomorphisms_vf2

def _get_automorphisms_vf2(graph, color=None, edge_color=None, node_compat_fn=None, edge_compat_fn=None): (source)

Returns all the automorphisms of the graph

This function simply calls `get_isomorphisms_vf2` with the graph itgraph. See `get_isomorphisms_vf2` for an explanation of the parameters.

Returns
a list of lists, each item containing a possible mapping of the graph vertices to itgraph according to the automorphism

See Also
Graph.get_isomorphisms_vf2